#
# spec file for package the_silver_searcher
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           the_silver_searcher
Version:        0.31.0
Release:        2.4
Summary:        A code-searching tool similar to ack, but faster
License:        Apache-2.0
Group:          Productivity/File utilities
Url:            https://github.com/ggreer/the_silver_searcher
Source:         http://geoff.greer.fm/ag/releases/%{name}-%{version}.tar.gz
Source2:        http://geoff.greer.fm/ag/releases/%{name}-%{version}.tar.gz.asc
Source3:        %{name}.keyring
Source4:        %{name}.changes
BuildRequires:  pkg-config >= 0.9.0
Requires:       bash-completion
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(zlib)
%else
BuildRequires:  pcre-devel
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
%endif

%description
A code searching tool similar to ack, with a focus on speed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
mkdir -p %{buildroot}/%{_sysconfdir}/bash_completion.d
mv -v %{buildroot}%{_datadir}/%{name}/completions/ag.bashcomp.sh %{buildroot}/%{_sysconfdir}/bash_completion.d/%{name}

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README.md
%{_bindir}/ag
%{_mandir}/man1/ag.1.gz
%config %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Sat Sep 19 2015 fcrozat@suse.com
- Update to version 0.31.0:
  * Improve bash completion.
  * Add support for Elixir, Mako, Racket and Standard ML file types.
  * various bugfixes.
* Fri May 15 2015 astieger@suse.com
- update to version 0.30.0:
  * --one-device option
  * language types and filter updates
  * performance improvements
  * bug fixes
- use bootstrapped upstream release tarballs, do not re-bootstrap
- add source signature and signing key
- update bash completion location
* Mon Jan 12 2015 multyrealm@gmail.com
- Update to version 0.28.0
* Fri Jan 31 2014 fcrozat@suse.com
- Update to version 0.19.2:
  + Improve output
- Changes from 0.19.1:
  + Don't print two slashes at the start of a path
- Changes from 0.19.0:
- Changes from 0.18.1:
  + performance fixes
  + fix infinite loop in EOF detection
  + Handle '-i' before '-g' or '-G' properly
  + fix build without lzma
- Switch to .tar.gz as they are generated directly by github.
- Replace %%{_prefix}/data by %%{_datadir} in specfile.
* Mon Nov  4 2013 fcastelli@suse.com
- Update to version 0.18:
  * Fix UTF-8 detection.
  * Add support for LZMA and XZ compressed files.
  * better parse gitignore config.
  * Various bugfixes.
- Cleaned up specfile.
* Tue Apr 23 2013 fcastelli@suse.com
- Fix building on SLE.
* Tue Apr 23 2013 fcastelli@suse.com
- fix spec file: use right group
* Tue Apr 23 2013 fcastelli@suse.com
- packaged version 0.14
